com.amazonaws.codegen.model.service

## Class WaiterDefinition

- java.lang.Object
- - com.amazonaws.codegen.model.service.WaiterDefinition

    public class WaiterDefinition
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WaiterDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Acceptor>` `getAcceptors()`
`int` `getDelay()`
`int` `getMaxAttempts()`
`String` `getOperation()`
`void` `setAcceptors(List<Acceptor> acceptors)`
`void` `setDelay(int delay)`
`void` `setMaxAttempts(int maxAttempts)`
`void` `setOperation(String operation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WaiterDefinition

    public WaiterDefinition()

### Method Detail

#### getDelay

    public int getDelay()

#### setDelay

    public void setDelay(int delay)

#### getMaxAttempts

    public int getMaxAttempts()

#### setMaxAttempts

    public void setMaxAttempts(int maxAttempts)

#### getOperation

    public String getOperation()

#### setOperation

    public void setOperation(String operation)

#### getAcceptors

    public List<Acceptor> getAcceptors()

#### setAcceptors

    public void setAcceptors(List<Acceptor> acceptors)